#ifndef _Handle_PTopoDS_TShape1_HeaderFile
#define _Handle_PTopoDS_TShape1_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PTopoDS_TShape1;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_TShape1);

class Handle(PTopoDS_TShape1) : public Handle(Standard_Persistent) {
  public:

    Handle(PTopoDS_TShape1)():Handle(Standard_Persistent)() {} 
    Handle(PTopoDS_TShape1)(const Handle(PTopoDS_TShape1)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PTopoDS_TShape1)(const PTopoDS_TShape1* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PTopoDS_TShape1)& operator=(const Handle(PTopoDS_TShape1)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_TShape1)& operator=(const PTopoDS_TShape1* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_TShape1* operator->() const 
     {
      return (PTopoDS_TShape1 *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_TShape1) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
